## org.apache.lucene.search.similarities
Class NormalizationZ

    java.lang.Object
      org.apache.lucene.search.similarities.Normalization
          org.apache.lucene.search.similarities.NormalizationZ

    public class NormalizationZ

extends Normalization

Pareto-Zipf Normalization

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization
`Normalization.NoNormalization`

Constructor Summary
`NormalizationZ()` Calls `NormalizationZ(0.3)`
`NormalizationZ(float z)` Creates NormalizationZ with the supplied parameter `z`.

Method Summary
`float` `getZ()` Returns the parameter `z`
`float` `tfn(BasicStats stats, float tf, float len)` Returns the normalized term frequency.
`String` `toString()` Subclasses must override this method to return the code of the normalization formula.

Methods inherited from class org.apache.lucene.search.similarities.Normalization
`explain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NormalizationZ

    public NormalizationZ()

  Calls `NormalizationZ(0.3)`

### NormalizationZ

    public NormalizationZ(float z)

  Creates NormalizationZ with the supplied parameter `z`.

  Parameters:
    `z` - represents `A/(A+1)` where `A` measures the specificity of the language.

Method Detail

### tfn

    public float tfn(BasicStats stats,
                     float tf,
                     float len)

  Description copied from class: `Normalization`
  Returns the normalized term frequency.

  Specified by:
    `tfn` in class `Normalization`
    `len` - the field length.

### toString

    public String toString()

  Description copied from class: `Normalization`
  Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.

  Specified by:
    `toString` in class `Normalization`

### getZ

    public float getZ()

  Returns the parameter `z`

  See Also:
    `NormalizationZ(float)`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.